# $Revision: 1.9 $, $Date: 2004/12/25 14:37:51 $

%define 	module	ipaddr

Summary:	Python module is useful to manipulate IP addresses (sets)
Summary(pl):	Modu jzyka Python do manipulacji adresami IP
Name:		python-%{module}
Version:	1.1
Release:	5
License:	GPL
Group:		Libraries/Python
Source0:	ftp://ftp.cendio.se/pub/playground/python/%{module}-%{version}.tar.gz
# Source0-md5:	e519c3d43a387255e925384a156a3d77
URL:		http://www.vex.net/parnassus/apyllo.py/126307487
BuildRequires:	python
%pyrequires_eq 	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is useful if you need to manipulate IP addresses or sets
of IP addresses.

%description -l pl
Modu jzyka Python do manipulacji adresami IP.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install *.py $RPM_BUILD_ROOT%{py_sitedir}

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-ipaddr.spec,v $
Revision 1.9  2004/12/25 14:37:51  saq
- release 5 for rebuild with python 2.4

Revision 1.8  2004/08/14 11:29:26  averne
- rel 4

Revision 1.7  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.5  2003/07/09 17:33:29  marcus
- rel.3. (was 1., rel, 2. are for Ra)

Revision 1.4  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/10/18 13:09:46  wrobell
- fixed pl description and summary
- COPYING file removed from documentation (known license)
- adapterized
- minor improvements

Revision 1.1  2002/10/18 12:24:46  matkor
- tiny but useful module

